# This file created by conda-build 25.1.2
# ------------------------------------------------

package:
  name: cuda-nvvm-impl
  version: 12.8.93
source:
  patches:
    - nvcc.profile.patch
  sha256: 9961b3484b6b71314063709a4f9529654f96782ad39e72bf1e00f070db8210d3
  url: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvcc/linux-x86_64/cuda_nvcc-linux-x86_64-12.8.93-archive.tar.xz
build:
  binary_relocation: false
  number: 3
  string: hbdd6827_3
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - binutils_impl_linux-64 2.40 h5293946_0
    - binutils_linux-64 2.40.0 hc2dff05_2
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_2
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_2
    - kernel-headers_linux-64 4.18.0 h528b178_0
    - ld_impl_linux-64 2.40 h12ee557_0
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.28 h528b178_0
    - tzdata 2025b h04d1e81_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - cuda-version 12.8 h30beaf8_3
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
  run:
    - __glibc >=2.28,<3.0.a0
    - cuda-version >=12.8,<12.9.0a0
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
test:
  commands:
    - test -d $PREFIX/nvvm/include
    - test -d $PREFIX/nvvm/lib64
    - bash test-rpath-nvvm.sh
  files:
    - test-rpath-nvvm.sh
  requires:
    - patchelf
about:
  description: 'Compiler for CUDA applications.

    '
  doc_url: https://docs.nvidia.com/cuda/index.html
  home: https://developer.nvidia.com/cuda-toolkit
  license: LicenseRef-NVIDIA-End-User-License-Agreement
  license_file: LICENSE
  license_url: https://docs.nvidia.com/cuda/eula/index.html
  summary: Compiler for CUDA applications.
extra:
  copy_test_source_files: true
  feedstock-name: cuda-nvcc-impl
  final: true
  recipe-maintainers:
    - conda-forge/cuda
